CREATE TABLE IF NOT EXISTS "Banks" (
  "Id" UUID NOT NULL,
  "Town" TEXT NOT NULL,
  "Name" TEXT NOT NULL,
  "Raiting" INTEGER,
  etl_date TIMESTAMP WITHOUT TIME ZONE NOT NULL,
  CONSTRAINT "PK_Banks" PRIMARY KEY ("Id")
) USING HEAP;

CREATE TABLE IF NOT EXISTS "Clinets" (
  "Id" UUID NOT NULL,
  "SurName" TEXT NOT NULL,
  "FirstName" TEXT NOT NULL,
  "LastName" TEXT,
  "Sex" CHARACTER(1) NOT NULL,
  "DateOfBirth" TIMESTAMP WITHOUT TIME ZONE NOT NULL,
  "BankId" UUID NOT NULL,
  etl_date TIMESTAMP WITHOUT TIME ZONE NOT NULL,
  CONSTRAINT "PK_Clinets" PRIMARY KEY ("Id"),
  CONSTRAINT "FK_Clinets_Banks_BankId" FOREIGN KEY ("BankId") REFERENCES "Banks" ("Id") ON DELETE CASCADE
) USING HEAP;

CREATE INDEX IF NOT EXISTS "IX_Clinets_BankId"
ON "Clinets" (
  "BankId"
);

CREATE TABLE IF NOT EXISTS "Transactions" (
  "Id" UUID NOT NULL,
  "ClientId" UUID NOT NULL,
  "Value" DOUBLE PRECISION NOT NULL,
  "IsCancelling" BOOLEAN NOT NULL,
  etl_date TIMESTAMP WITHOUT TIME ZONE NOT NULL,
  CONSTRAINT "PK_Transactions" PRIMARY KEY ("Id"),
  CONSTRAINT "FK_Transactions_Clinets_ClientId" FOREIGN KEY ("ClientId") REFERENCES "Clinets" ("Id") ON DELETE CASCADE
) USING HEAP;

CREATE INDEX IF NOT EXISTS "IX_Transactions_ClientId"
ON "Transactions" (
  "ClientId"
);